
BEGIN (* PibDownLoad *)
                                   (* Use file time provided by sender *)
                                   (* by default.                      *)
   Use_Time_Sent   := TRUE;
                                   (* Ctrl Z ends Ascii file by default *)
   Ascii_Use_CtrlZ := TRUE;
                                   (* Don't display received text *)
   Ascii_Show_Text := FALSE;
                                   (* Get protocol if necessary *)

   IF Transfer_Protocol = None THEN
      Transfer_Protocol := Get_Download_Protocol;

                                   (* Display transfer status   *)
   Display_Status := TRUE;
                                   (* Perform transfer          *)
   CASE Transfer_Protocol Of

      Ascii:          Receive_Ascii_File;

      Xmodem_Chk,
      Modem7_CRC,
      Telink,
      Modem7_Chk,
      Ymodem_Batch,
      Ymodem,
      Xmodem_Crc:     Do_Xmodem_Download( Transfer_Protocol );

      Kermit:         Receive_Kermit_File;

      ELSE ;

   END  (* CASE *);
                                   (* Indicate end of transfer *)
   IF ( NOT Silent_Mode ) THEN
      FOR I := 1 TO Transfer_Bells DO
         BEGIN
            WRITE( CHR( BELL ) );
            DELAY( 250 );
         END;

END   (* PibDownLoad *);
